Subject: Re: [ANN] Introducing new "test" branch in powerpc.git tree

From: Michel Dänzer <[email-masked]>
Date: Sun, 08 Feb 2009 12:56:09 +0100

On Fri, 2009-02-06 at 18:42 +0100, Michel Dänzer wrote:
> On Thu, 2009-02-05 at 15:58 -0500, Josh Boyer wrote:
> > On Fri, Feb 06, 2009 at 07:56:22AM +1100, Benjamin Herrenschmidt wrote:
> > >
> > >> Which begs the question of what master is for.  So far, it's just been
> > >> a mirror of next from what I can tell.  Maybe it should just track
> > >> Linus' tree?
> > >
> > >I've been wondering myself what to do with it ... I may just leave it to
> > >track linus indeed. Or maybe just delete it.
> > 
> > I don't think you can delete it without hosing people who try to clone it.
> 
> The branch to check out by git clone can be overridden via a special
> file in the .git directory in the shared repository. Unfortunately
> though, I don't remember what it's called...

According to Julien Cristau of the Debian X Strike Force (none of the
Git repos of which have a master branch), it should be .git/HEAD. Some
experiments of mine seem to confirm this.

-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer